Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# scrollbar.hh File Reference

A GtkScrollbar, GtkHScrollbar and GtkVScrollbar C++ wrapper interface. More...

`#include <xfc/gtk/range.hh>`
`#include <gtk/gtkhscrollbar.h>`
`#include <gtk/gtkvscrollbar.h>`
`#include <xfc/gtk/inline/scrollbar.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Scrollbar
    A GtkScrollbar C++ wrapper class. More...
- class Xfc::Gtk::HScrollbar
    A GtkHScrollbar C++ wrapper class. More...
- class Xfc::Gtk::VScrollbar
    A GtkVScrollbar C++ wrapper class. More...

## Detailed Description

A GtkScrollbar, GtkHScrollbar and GtkVScrollbar C++ wrapper interface.

Provides Scrollbar, HScrollbar and VScrollbar, widgets that let you scroll other widgets.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3